%global tarname  igt-gpu-tools

# note: FC named this package as igt-gpu-tools

Name:           intel-gpu-tools
Version:        1.28
Release:        %mkrel 2
Summary:        Tools for debugging the Intel graphics driver
Group:          System/Kernel and hardware
License:        MIT
URL:            https://gitlab.freedesktop.org/drm/igt-gpu-tools/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{tarname}-%{version}.tar.xz
# from upstream

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  leg
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(dri2proto)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libkmod)
BuildRequires:  pkgconfig(libproc2)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmlrpc)
BuildRequires:  pkgconfig(xorg-macros)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(valgrind)
BuildRequires:  python3-docutils
BuildRequires:  python3

ExclusiveArch:  %ix86 x86_64

%description
Intel GPU Tools is a package of tools for debugging the Intel graphics
driver, including a GPU hang dumping program, performance monitor, and
performance microbenchmarks for regression testing the DRM.

%package devel
Summary:   Xorg X11 Intel video driver development package
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}
Provides:  xorg-x11-drv-intel-devel = %{version}-%{release}

%description devel
X.Org X11 Intel video driver development package.

%prep
%autosetup -p1 -n %{tarname}-%{version}

%build
%meson -Doverlay=enabled -Doping=disabled -Ddocs=disabled
%meson_build

%install
%meson_install

%files devel
%{_libdir}/pkgconfig/intel-gen4asm.pc
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/i915-perf.pc
%{_includedir}/i915-perf


%files
%{_bindir}/amd_*
%{_bindir}/code_cov_*
%{_bindir}/igt_*
%{_bindir}/i915-perf*
%{_bindir}/intel*
%{_bindir}/dpcd_reg
%{_bindir}/msm_dp_compliance
%{_bindir}/lsgpu
%{_bindir}/gputop
%{_bindir}/xe_reg
%{_datadir}/%{tarname}/
#{_datadir}/gtk-doc/html/igt-gpu-tools/
%{_libdir}/lib*.so.0
%{_libdir}/lib*.so.1.5
%{_libexecdir}/%{tarname}/
%{_mandir}/man1/intel*.1*


%changelog
* Fri Sep 13 2024 tex - 1.28-2pclos2024
- rebuild

